/*
    Stream Capture
    Copyright (C) 2011 Ingemar Ceicer
    http://ceicer.org/ingemar/
    programmering1 (at) ceicer (dot) org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/

#ifndef STREAMCAPTURE_H
#define STREAMCAPTURE_H

#define VERSION_PATH "http://bin.ceicer.com/streamcapture/version.txt"
#define APPLICATION_NAME "streamCapture"
#define VERSION "0.0.6"
#define CURRENT_YEAR "2011"
#define LICENCE_VERSION "2"
#define PROGRAMMER_EMAIL "programmering1@ceicer.org"
#define PROGRAMMER_NAME "Ingemar Ceicer"
#define PROGRAMMER_PHONE "+46706361747"
#define APPLICATION_HOMEPAGE "http://ceicer.org/streamcapture/index.php"
#define APPLICATION_HOMEPAGE_ENG "http://ceicer.org/streamcapture/index_eng.php"

#include <QMainWindow>
#include <QMessageBox>
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QNetworkReply>
#include <QFile>
#include <QListWidgetItem>
#include <QFileDialog>
#include <QDir>
#include <QProcess>
#include <QList>
#include <QSignalMapper>
#include <QDateTime>
#include <QMenu>
#include <string>
#include <sstream>
#include "config.h"
#include "config2.h"
#include "checkforupdates.h"
#include "downloads.h"



namespace Ui {
    class streamCapture;
}

class streamCapture : public QMainWindow
{
    Q_OBJECT

public:
    explicit streamCapture(QWidget *parent = 0);
    ~streamCapture();

private:
    Ui::streamCapture *ui;
    QNetworkAccessManager *nam;
    QString getStream(QString &x);
    QString getStream2(QString &x);
    QString getStream3(QString &x);
    QString getStream4(QString &x);
    QString getStream5(QString &x);
    QString getStreamEnd(QString);
    QString initiallySelected(QString *x);
    QProcess *CommProcess;
    QProcess *process;
    Config *k;
    Config2 *k2;
    void setStartConfig();
    void setEndConfig();
    QSignalMapper *signalMapper;
    QSignalMapper *signalMapper2;



private slots:
    void output(QNetworkReply*);
    void start();
    void download();
    void about();
    void aboutRPMPDump();
    void checkForUpdates();
    void vald(QListWidgetItem * item);
    void recentDownloads();
   // void clearRecentDownloads();
    void downAgain(const int i);
    void english();
    void swedish();
    void removeAll();
    void removeSelected();
    void editDownloadList();
    // Slackware
   void hittaRTMPDump(QProcess::ProcessError er);



};

#endif // STREAMCAPTURE_H
